namespace CMSMicroservice.Application.UserCQ.Queries.GetAllUserByFilter;
public class GetAllUserByFilterQueryValidator : AbstractValidator<GetAllUserByFilterQuery>
{
    public GetAllUserByFilterQueryValidator()
    {
    }
    public Func<object, string, Task<IEnumerable<string>>> ValidateValue => async (model, propertyName) =>
    {
        var result = await ValidateAsync(ValidationContext<GetAllUserByFilterQuery>.CreateWithOptions((GetAllUserByFilterQuery)model, x => x.IncludeProperties(propertyName)));
        if (result.IsValid)
            return Array.Empty<string>();
        return result.Errors.Select(e => e.ErrorMessage);
    };
}
